Download it now!
Bug 95374 - FILEOPEN DOCX Margin import error. LibreOffice imports with -1cm margin that should be 0cm
Summary: FILEOPEN DOCX Margin import error. LibreOffice imports with -1cm margin that ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:6.4.0
Keywords: filter:docx
Depends on:
Blocks: DOCX-Tables
  Show dependency treegraph
 
Reported: 2015-10-27 23:53 UTC by Matthew Holloway
Modified: 2019-11-13 11:13 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample document (55.95 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-10-27 23:53 UTC, Matthew Holloway
Details
How Microsoft Office 2013 renders the document (34.10 KB, image/png)
2015-10-27 23:53 UTC, Matthew Holloway
Details
How LibreOffice renders the document (101.98 KB, image/png)
2015-10-27 23:53 UTC, Matthew Holloway
Details
More details of the parent styles that LibreOffice uses when rendering the document (108.11 KB, image/png)
2015-10-27 23:54 UTC, Matthew Holloway
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Holloway 2015-10-27 23:53:00 UTC
Created attachment 120020 [details]
Sample document

In the attached document there's a table and the first column has rows with numbers in them that have negative margins offsetting them outside of the table in LibreOffice whereas in Microsoft Office 2013 the content is rendered inside the table cell.
Comment 1 Matthew Holloway 2015-10-27 23:53:19 UTC
Created attachment 120021 [details]
How Microsoft Office 2013 renders the document
Comment 2 Matthew Holloway 2015-10-27 23:53:49 UTC
Created attachment 120022 [details]
How LibreOffice renders the document
Comment 3 Matthew Holloway 2015-10-27 23:54:16 UTC
Created attachment 120023 [details]
More details of the parent styles that LibreOffice uses when rendering the document
Comment 4 Buovjaga 2015-11-03 12:40:07 UTC
Confirmed.

Tried searching for a duplicate, but could not find a fitting candidate.

Win 7 Pro 64-bit, Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: fi-FI (fi_FI)

Version: 5.1.0.0.alpha1+
Build ID: 37d41674c2b1a706c95c2c326cbfbd06b0c1a655
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-11-02_00:13:27
Locale: fi-FI (fi_FI)

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 5 QA Administrators 2016-11-08 11:56:05 UTC Comment hidden (obsolete)
Comment 6 Telesto 2016-12-06 23:31:48 UTC
Reproducible with 
Version: 5.4.0.0.alpha0+
Build ID: 2bad9f1cd8da0cd3d8ff33e875eaf10c1fd9d0bf
CPU Threads: 4; OS Version: Mac OS X 10.12.1; UI Render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2016-11-29_01:04:44
Locale: nl-NL (nl_NL.UTF-8); Calc: group
Comment 7 QA Administrators 2018-09-01 02:41:18 UTC Comment hidden (obsolete)
Comment 8 László Németh 2019-11-13 11:13:03 UTC
tdf#95374 DOCX import: reset left indentation at disabled numbering

Paragraphs with disabled numbering using non-existent numId=0
haven't got inherited left indentation in MSO. Keeping them resulted
unnecessary indentation, moreover, missing (non-visible) text
in narrow table cells.
Comment 9 Commit Notification 2019-11-13 11:13:58 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/21c29a756c5d01cada2a09dd6d55fdc482807bb4

tdf#95374 DOCX import: reset left indentation at disabled numbering

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.